<!DOCTYPE html>
<html><head>
<title>eric7.Preferences.ConfigurationPages.NetworkPage</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Preferences.ConfigurationPages.NetworkPage</h1>
<p>
Module implementing the Network configuration page.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#NetworkPage">NetworkPage</a></td>
<td>Class implementing the Network configuration page.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr>
<td><a href="#create">create</a></td>
<td>Module function to create the configuration page.</td>
</tr>
</table>

<hr />
<hr />
<a NAME="NetworkPage" ID="NetworkPage"></a>
<h2>NetworkPage</h2>
<p>
    Class implementing the Network configuration page.
</p>

<h3>Derived from</h3>
ConfigurationPageBase, Ui_NetworkPage
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#NetworkPage.__init__">NetworkPage</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#NetworkPage.on_clearProxyPasswordsButton_clicked">on_clearProxyPasswordsButton_clicked</a></td>
<td>Private slot to clear the saved HTTP(S) proxy passwords.</td>
</tr>
<tr>
<td><a href="#NetworkPage.on_ftpProxyTypeCombo_currentIndexChanged">on_ftpProxyTypeCombo_currentIndexChanged</a></td>
<td>Private slot handling the selection of a proxy type.</td>
</tr>
<tr>
<td><a href="#NetworkPage.save">save</a></td>
<td>Public slot to save the Networj configuration.</td>
</tr>
<tr>
<td><a href="#NetworkPage.setMode">setMode</a></td>
<td>Public method to perform mode dependent setups.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="NetworkPage.__init__" ID="NetworkPage.__init__"></a>
<h4>NetworkPage (Constructor)</h4>
<b>NetworkPage</b>(<i>configDialog</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>configDialog</i> (ConfigurationDialog)</dt>
<dd>
reference to the configuration dialog
</dd>
</dl>
<a NAME="NetworkPage.on_clearProxyPasswordsButton_clicked" ID="NetworkPage.on_clearProxyPasswordsButton_clicked"></a>
<h4>NetworkPage.on_clearProxyPasswordsButton_clicked</h4>
<b>on_clearProxyPasswordsButton_clicked</b>(<i></i>)
<p>
        Private slot to clear the saved HTTP(S) proxy passwords.
</p>

<a NAME="NetworkPage.on_ftpProxyTypeCombo_currentIndexChanged" ID="NetworkPage.on_ftpProxyTypeCombo_currentIndexChanged"></a>
<h4>NetworkPage.on_ftpProxyTypeCombo_currentIndexChanged</h4>
<b>on_ftpProxyTypeCombo_currentIndexChanged</b>(<i>index</i>)
<p>
        Private slot handling the selection of a proxy type.
</p>

<dl>

<dt><i>index</i> (int)</dt>
<dd>
index of the selected item
</dd>
</dl>
<a NAME="NetworkPage.save" ID="NetworkPage.save"></a>
<h4>NetworkPage.save</h4>
<b>save</b>(<i></i>)
<p>
        Public slot to save the Networj configuration.
</p>

<a NAME="NetworkPage.setMode" ID="NetworkPage.setMode"></a>
<h4>NetworkPage.setMode</h4>
<b>setMode</b>(<i>displayMode</i>)
<p>
        Public method to perform mode dependent setups.
</p>

<dl>

<dt><i>displayMode</i> (ConfigurationMode)</dt>
<dd>
mode of the configuration dialog
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="create" ID="create"></a>
<h2>create</h2>
<b>create</b>(<i>dlg</i>)
<p>
    Module function to create the configuration page.
</p>

<dl>

<dt><i>dlg</i> (ConfigurationDialog)</dt>
<dd>
reference to the configuration dialog
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
reference to the instantiated page
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
ConfigurationPageBase
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
